Subject: [MPLS] One question about LDP in RFC4447

From: [email-masked]
Date: Wed, 20 Jun 2007 19:01:23 -0700

Hi all,
I have one question about LDP in RFC4447. 
Section 5 in RFC4447 say:
    The PW label bindings are distributed using the LDP downstream
    unsolicited mode described in [RFC3036].  The PEs will establish an
    LDP session using the Extended Discovery mechanism described in [LDP,
    sections 2.4.2 and 2.5].

My question is , 
if two PE is directly connected, can LDP session be established using the
 Basic Discovery mechanism described in [LDP RFC3036, section 2.4.1] ?

I consider that in this case  the session using the Extended Discovery 
mechanism is maybe the same session with using the Basic Discovery 
mechanism.

Thanks and Regards

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: "Asaf Henig" <[email-masked]>
Date: Thu, 21 Jun 2007 09:03:51 +0300

The two session can and should co-exist.
The session established via the Basic Discovery 
mechanism should advertise the tunnel labels.
The session established via the Extended Discovery 
mechanism should advertise the vc labels (FEC 128/129)

Asaf Henig
Software Engineer
Tel: +972-4-993-6289
Fax: 972-4-989-0564
www.mrv.com

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Wed 20/06/2007 14:01
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: [MPLS] One question about LDP in RFC4447
 
Hi all,

My question is , 

Thanks and Regards

---

From: "Bob Thomas \(rhthomas\)" <[email-masked]>
Date: Thu, 21 Jun 2007 07:37:05 -0400

Assuming that each LSR advertises the same LDP identifier in its link
Hello's and in its targeted Hello's a single LDP session should be
established.
 
Bob

________________________________

	From: Asaf Henig [mailto:[email-masked]] 
	Sent: Thursday, June 21, 2007 2:04 AM
	To: [email-masked]
	Cc: [email-masked]
	Subject: RE: [MPLS] One question about LDP in RFC4447

	Asaf Henig
	Software Engineer
	Tel: +972-4-993-6289
	Fax: 972-4-989-0564
	www.mrv.com

	-----Original Message-----
	From: [email-masked] [mailto:[email-masked]]
	Sent: Wed 20/06/2007 14:01
	To: [email-masked];
[email-masked]
	Cc: [email-masked]
	Subject: [MPLS] One question about LDP in RFC4447
	
	Hi all,
	I have one question about LDP in RFC4447.
	Section 5 in RFC4447 say:
	    The PW label bindings are distributed using the LDP
downstream
	    unsolicited mode described in [RFC3036].  The PEs will
establish an
	    LDP session using the Extended Discovery mechanism described
in [LDP,
	    sections 2.4.2 and 2.5].
	
	My question is ,
	if two PE is directly connected, can LDP session be established
using the
	 Basic Discovery mechanism described in [LDP RFC3036, section
2.4.1] ?
	
	I consider that in this case  the session using the Extended
Discovery
	mechanism is maybe the same session with using the Basic
Discovery
	mechanism.

	Thanks and Regards

---

From: <[email-masked]>
Date: Thu, 21 Jun 2007 15:15:55 +0200

Agree with Bob.
This seems in accordance to RFC 3036 definition of Label Spaces (
section 2.2.1), LDP Indentifiers ( sec. 2.2.2) and LDP sessions and
Transport ( other subsections of 2.2).
 
Best Regards
 
santanu

From: Bob Thomas (rhthomas) [mailto:[email-masked]] 
Sent: Thursday, June 21, 2007 1:37 PM
To: Asaf Henig; [email-masked]
Cc: [email-masked]
Subject: RE: [MPLS] One question about LDP in RFC4447

Bob

	Asaf Henig
	Software Engineer
	Tel: +972-4-993-6289
	Fax: 972-4-989-0564
	www.mrv.com

	-----Original Message-----
	From: [email-masked] [mailto:[email-masked]]
	Sent: Wed 20/06/2007 14:01
	To: [email-masked];
	
	Hi all,
	
	My question is ,

	
	Thanks and Regards